Simpler Navigation for Servers and Operating Systems - Please Update Your Bookmarks
Completed: a much simpler Servers and Operating Systems section of the Community. We combined many of the older boards, so you won't have to click through so many levels to get at the information you need. Check the consolidated boards here as many sub-forums are now single boards.
If you have bookmarked forums or discussion boards in Servers and Operating Systems, we suggest you check and update them as needed.
ProLiant Servers - Netservers
cancel
Showing results for 
Search instead for 
Did you mean: 

Intelligent Provisioning and Windows Server 2016 on ProLiant MicroServer Gen8

SOLVED
Go to solution
wolfh
Occasional Advisor

Intelligent Provisioning and Windows Server 2016 on ProLiant MicroServer Gen8

I planned to install Windows Server 2016 on a ProLiant MicroServer Gen8 which is on the latest patch level (Firmware, Bios) via the Intelligent Provisioning Tool.

 

Unfortunately the setup shows an error "windows cannot read the product key setting from the unattended answer file". I assume that there is an issue with the latest version of Intelligent Provisioning 1.63.192 for a Windows Server 2016 Installlation.

 

Does anyone have a similar issue or can confirm that this is working?

It seems that there is a 1.64 image too but I could not find it yet:

http://h17007.www1.hpe.com/us/en/enterprise/servers/solutions/info-library/index.aspx?cat=hp_intelligent_provisioning#.WG1YlIWcEuX

 

Any thoughts appreciated....

8 REPLIES
wolfh
Occasional Advisor
Solution

Re: Intelligent Provisioning and Windows Server 2016 on ProLiant MicroServer Gen8

I tried to update my MicroServer with the Intelligent Provisioning Recovery Media (American, International) which worked well - running now 2.5 Version on it.

 

With that version I was able to install via Intelligent Provisioning the Microsoft Windows Server 2016 - as a next step I used the latest HP Smart Update Manager Version 7.6.0 to upgrade Drivers & Software.

 

Also this worked as intended.

Surprise for me was that 2.5 Intellignet Provisioning can be installed on a MicroServer Gen 8.

Jimmy Vance
HPE Pro

Re: Intelligent Provisioning and Windows Server 2016 on ProLiant MicroServer Gen8

Keep in mind that there are currently two versions of Intelligent Provisioning, 1.xx and 2.xx.
1.xx versions of IP are for Gen8 and 2.xx versions of IP are for Gen9




__________________________________________________
No support by private messages. Please ask the forum!      I work for HPE

If you feel this was helpful please click the KUDOS! thumb below!   
Torsten.
Acclaimed Contributor

Re: Intelligent Provisioning and Windows Server 2016 on ProLiant MicroServer Gen8

I found this:

 

IP version 1.64 release notes

http://h20566.www2.hpe.com/hpsc/doc/public/display?docId=c05301995

 

NOTE:

  • For Microsoft Windows Server 2016 installations, you must run Intelligent Provisioning version 2.50 or

later.

 

 

Not sure if the meaning of this is to use version 2.50 with Gen8?

Maybe.

 

However, all documentations I recently found still points out version 1.x for Gen8, version 2.x for Gen9.

 

Strange.

However, obviously version 2.50 installs on Gen8.


Hope this helps!
Regards
Torsten.

__________________________________________________
There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________
No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
wolfh
Occasional Advisor

Re: Intelligent Provisioning and Windows Server 2016 on ProLiant MicroServer Gen8

Torsten, this was my understanding too by reading these documents before that you required for Gen9 servers the 2.x versions.

I just downloaded the image, mounted the iso via ILO Remote Console and was surprised that the automatic setup applied 2.5 on the server - I didnt expect that to be honest as I assumed the setup would query the server system and would not apply 2..5. Anyhow that this is not ideal, shows in the fact that I have to use SPP to update / install applications such as Storage Admin which - if I recall correct from the past - was done automatically by Intelligent Provisioning.

 

I also found the 1.64 Release Notes but no Image / Upgrade for IP for Gen8 servers.

 

 

RNR1995
Advisor

Re: Intelligent Provisioning and Windows Server 2016 on ProLiant MicroServer Gen8

Just in case someone else runs across this

G8 =1x

G9 =2x

G8 needs 1.64B

• For Microsoft Windows Server 2016 installations, you must run Intelligent Provisioning version 1.64(B)

or later.

 

Eaukail
Occasional Visitor

Re: Intelligent Provisioning and Windows Server 2016 on ProLiant MicroServer Gen8

Keylimesoda
Occasional Visitor

Re: Intelligent Provisioning and Windows Server 2016 on ProLiant MicroServer Gen8

I’m having the same issue as original poster with server essentials on my gen 8 Microserver, even running IP 1.64B.

Should I try 2.5, even though it’s unsupported on Gen8?

 

EDIT:  IP 1.64B was still buggy and didn't recognize Windows Server 2016 Essentials. 

Installing the latest (2.6.1) IP on my Microserver worked great and allowed the OS to install correctly.

goranrad
Occasional Visitor

Re: Intelligent Provisioning and Windows Server 2016 on ProLiant MicroServer Gen8

Wher can you download the latest (2.6.1) IP.

 

Sorry foud it here:

https://h20566.www2.hpe.com/hpsc/swd/public/readIndex?sp4ts.oid=1008862660&swLangOid=8&swEnvOid=4234

Regards
/goran